Rails.application.routes.draw do

  locales = Site.find_by(site_active: true).in_use_locales rescue I18n.available_locales
  scope "(:locale)", locale: Regexp.new(locales.join("|")) do
    namespace :admin do
      resources :publications do
        post :save_chapter_order, on: :collection
      end
      resources :chapters, except: [:show]
    end
    resources :publications
  end
end
